#if !defined(__xped1app_h)              // Sentry, use file only if it's not already included.
#define __xped1app_h

/*  Project xped1
    
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    xped1.exe Application
    FILE:         xped1app.h
    AUTHOR:       


    OVERVIEW
    ========
    Class definition for XpEd1App (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\editfile.h>
#include <owl\opensave.h>

#include "xped1app.rh"            // Definition of all resources.


//{{TApplication = XpEd1App}}
class XpEd1App : public TApplication {
private:
    TEditFile *Client;                                 // Client window for the frame.
    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.

public:
    XpEd1App ();
    virtual ~XpEd1App ();

    void OpenFile (const char *fileName = 0);
//{{XpEd1AppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{XpEd1AppVIRTUAL_END}}

//{{XpEd1AppRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmFileClose ();
    void CmHelpAbout ();
//{{XpEd1AppRSP_TBL_END}}
  DECLARE_RESPONSE_TABLE(XpEd1App);
};    //{{XpEd1App}}


#endif                                      // __xped1app_h sentry.
